<html>
<HEAD>
<META name="GENERATOR" content="Htmlc 2.22">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">

<body BGCOLOR="#FFFACD">

<TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
 <TR>
   <TD><IMG SRC="http://jfla.inria.fr/imgs/inria.gif" ALT="LOGO INRIA"></TD>
   <TD><FONT COLOR="#003399" SIZE="+3">
       <STRONG>Cours et Colloques</STRONG></FONT></TD>
 </TR>
</TABLE>
<P ALIGN=CENTER><IMG SRC="http://jfla.inria.fr/imgs/ti_dessous.gif" ALT="TRAIT"></P>

<P><FONT COLOR="#003399"><STRONG>Contact:</STRONG></FONT>
   <CODE>symposia@inria.fr</CODE>
</P>


<center><h1>Programme des JFLA 2011</h1></center>

<h2>Samedi 29 janvier 2011</h2>

<ul>
<li>16h00 - 16h30 Pot de bienvenue</li>
<li>16h30 - 17h30 Cours de <strong> Luc Maranget</strong>.
<strong style="color:blue">Programmer en Jocaml</strong>
</li>
<li>17h30 - 17h45 Pause</li>
<li>17h45 - 18h45 Cours d'<strong>Yves Bertot</strong>. <strong style="color:blue">Un tutoriel sur la coinduction en Coq: faire preuve de paresse à l'infini</strong></li>
<li>19h00         Dîner</li>
</ul>

<h2>Dimanche 30 janvier 2011</h2>

<ul>
<li>09h00 - 10h30   Cours de <strong> Luc Maranget</strong>. <strong style="color:blue">Programmer en Jocaml</strong></li>
<li>10h30 - 11h00   Pause</li>
<li>11h00 - 12h30	Cours  d'<strong>Yves Bertot</strong>. <strong style="color:blue">Un tutoriel sur la coinduction en Coq: faire preuve de paresse à l'infini</strong></li>
<li>12h30 - 14h00   Déjeuner</li>
<li>14h00 - 18h00   Excursion</li>
<li>19h00  		Dîner</li>
</ul>


<h2>Lundi 31 janvier 2011</h2>

<ul>
<li>09h00 - 10h00	Exposé invité : <strong> François
    Pottier</strong>.<strong style="color:blue"> Vérification de la
complexité à l'aide des types</strong></li>
<li>10h00 - 10h30	Pause</li>
<li>10h30 - 12h00	
  <ul>
    <li><strong>Louis Mandel et Florence Plateau.</strong> <br/>
        <strong style="color:blue">Typage des horloges périodiques en
        Lucy-n</strong>
    </li>
    <li><strong>Frédéric Gava et Sovanna Tan.</strong> </br/> 
        <strong style="color:blue">Implémentation et
        prédiction des performances de squelettes data-parallèles en
        utilisant un langage BSP de haut niveau</strong>
    </li>
    <li><strong>Jean-Christophe Filliâtre et Kalyan Krishnamani</strong><br/>
      <strong style="color:blue">
	Functory : Une bibliothèque de calcul distribué pour Objective Caml</strong>
    </li>
  </ul>
</li>
<li>12h00 - 14h00	Déjeuner</li>
<li>14h00 - 15h30	
<ul>
<li><strong>Thomas Braibant.</strong><strong style="color:blue"> De coquets circuits</strong></li>
<li><strong>Wadoud Bousdira, Frederic Loulergue et Louis Gesbert.</strong><strong style="color:blue"> Syntaxe et sémantique de Revised Bulk Synchronous Parallel ML</strong> </li>
<li><strong>Romain Bardou et Claude Marché.</strong> <strong style="color:blue">Perle de preuve: les tableaux creux</strong></li>
</ul>
</li>
<li>15h30 - 16h00	Pause</li>
<li>16h00 - 17h00	
<ul>
<li><strong>Benoit Vaugon, Philippe Wang and Emmanuel Chailloux.</strong><strong style="color:blue"> Les microcontrôleurs PIC programmés en Objective Caml</strong></li>
<li><strong>Julien Signoles.</strong><strong style="color:blue"> Une bibliothèque de typage dynamique en OCaml</strong></li>
</ul>
</li>
<li>17h00 - 18h30	Démonstrations</li>
<ul>
<li><strong style="color:red"> BSML</strong></li>
<li><strong style="color:red"> Frama-C</strong></li>
<li><strong style="color:red"> Why3</strong></li>
<li><strong style="color:red"> OCAPIC</strong></li>
<li><strong style="color:red"> Refactoring</strong></li>
<li><strong style="color:red"> TLA+/Toolbox</strong></li>
</ul>
<li>19h00 		Dîner</li>
</ul>

<h2>Mardi 1 février 2011</h2>


<ul>
<li>09h00 - 10h00	Exposé invité : <strong>Gilles Dowek</strong>. <strong style="color:blue">De l'universalité à l'interopérabilité</strong> </li>
<li>10h00 - 10h30	Pause</li>
<li>10h30 - 11h30	
<ul>
<li><strong>Pierre-Loic Garoche et Pierre
    Roux.</strong><strong style="color:blue"> Dessine moi un domaine abstrait fini -- une recette à base de Camlp4 et de solveurs SMT</strong></li>
<li><strong>Fabrice Le Fessant.</strong> <strong style="color:blue">Transformation de fonctions récursives en boucles dans ocamlpro</strong></li>
</ul>
</li>
<li>11h30 - 12h00	Bilan des journées</li>
<li>12h00 - 14h00	Déjeuner   	</li>
</ul>

</body>
</html>
